
public class PM2IW_Constants {
	
	private PM2IW_Constants()
		{ /* classe non-instantiable! */ }
	
	
	/* constants */
	/* ========= */
	protected static final int 	COMMANDLINE_NBARGS = 10;												/* nb of args expected in the command-line */
	
	protected static final String IMPACT_MEDIA_DIR = "\\media\\";										/* impact_root_dir\media\ */
	protected static final String IMPACT_LEVEL_DIR = "\\lib\\game\\levels\\";							/* impact_root_dir\lib\game\levels */
	
	protected static final String IMPACT_LEVEL_MODULE_BEGIN = "ig.module( 'game.levels.";				/* */
	protected static final String IMPACT_LEVEL_MODULE_END   = "' ) ";									/* */
	protected static final String IMPACT_LEVEL_REQUIRES		= ".requires('impact.image')";				/* */
	protected static final String IMPACT_LEVEL_DEFINES_BEGIN= ".defines(function(){";					/* */
	protected static final String IMPACT_LEVEL_DEFINES_END 	= "});";									/* */
	protected static final String IMPACT_LEVEL_JSON_BEGIN 	= "/*JSON[*/{\"entities\":[],";				/* */
	protected static final String IMPACT_LEVEL_JSON_END 	= "}/*]JSON*/;";							/* */
	protected static final String IMPACT_LEVEL_LAYER_BEGIN 	= "\"layer\":[";							/* */
	protected static final String IMPACT_LEVEL_LAYER_END 	= "]";										/* */
	protected static final String IMPACT_LEVEL_RESOURCES_BEGIN= "Resources=[new ig.Image('media/";		/* */
	protected static final String IMPACT_LEVEL_RESOURCES_END  = "')];";									/* */
	
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_01 = "{\"name\":\"collision\",\"width\":";/* */
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_02 = ",\"height\":";						/* */
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_03 = ",\"linkWithCollision\":false,\"visible\":1,\"tilesetName\":\"\",\"repeat\":false,\"preRender\":false,\"distance\":1,\"tilesize\":";							/* */
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_04 = ",\"foreground\":false,";
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_05 = "\"data\":[";
	protected static final String IMPACT_LEVEL_LAYER_COLLISION_06 = "]},";

	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_01 = "{\"name\":\"";						/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_02 = "\",\"width\":";					/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_03 = ",\"height\":";						/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_04 = ",\"linkWithCollision\":true,\"visible\":1,\"tilesetName\":\"media/";
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_05 = "\",\"repeat\":false,\"preRender\":false,\"distance\":";
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_06 = ",\"tilesize\":";					/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_07 = ",\"foreground\":false,";			/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_08 = "\"data\":[";						/* */
	protected static final String IMPACT_LEVEL_LAYER_PROMOTION_09 = "]}";								/* */
	
	protected static final String IMPACT_LEVEL_EMPTY_TILE = "0";										/* don't draw this tile in IW's collision layer */
	protected static final String IMPACT_LEVEL_SOLID_TILE = "1";										/* a visible tile in IW's collision layer */
}


